package com.dxhy.core.task;

import javax.annotation.Resource;

import org.springframework.stereotype.Component;

import com.dxhy.auth.client.feign.ServiceAuthFeign;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Lazy;
/**
 * 申请统计，统计结果，申请确认，确认结果定时任务
 *
 * @author fth
 * @date 2019年05月28日
 **/
@Component("menuTask")
@Slf4j
public class SysMenuTask {
    @Lazy
    @Resource
    private ServiceAuthFeign serviceAuthFeign;

    public void saveMenu() {
        log.info("根据UserId = 1 存储ITAX菜单信息开始");
        try {
            serviceAuthFeign.saveMenu();
            log.info("根据UserId = 1 存储ITAX菜单信息结束");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
